# Dart Immutable Data Class Builder

Example classes

``` dart
import 'package:testik/testik.dart';

part 'models.g.dart';

@data
abstract class User implements _$User {
  User._();
  factory User(String name, int age, String weight) = _$User$._;
}

@data
abstract class Animal implements _$User {
    Animal._();
  factory Animal(String name) = _$Animal$._;
} 
```

Usage

``` dart
test() {
  var user = User("Joe Doe", 33, "OK");
  assert(user.name == "Joe Doe");
  assert(user.age == 33);
  assert(user.weight == "OK");
}
```